#include <u.h>
#include <libc.h>
#include "json.h"

int Dumpvalfail;

static void
usage(void)
{
	fprint(2, "usage: %s [file]\n", argv0);
	exits("usage");
}

void
main(int argc, char *argv[])
{
	int fd;
	Jvalue *v;

	ARGBEGIN{
		default:
			usage();
	}ARGEND;

	if(argc == 0){
		if((v = json_parse(0, "stdin")) == nil)
			sysfatal("stdin: %r\n");
	}
	else{
		if((fd = open(argv[0], OREAD)) == -1)
			sysfatal("%s cannot open\n", argv[0]);
		if((v = json_parse(fd, argv[0])) == nil)
			sysfatal("%s: %r\n", argv[0]);
		close(fd);
	}
	json_dump(1, v);
	exits(nil);
}
